CRAN Package Check Results for Package rosr

Last updated on 2019-09-16 05:47:06 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.0.8 3.88 31.19 35.07 OK
r-devel-linux-x86_64-debian-gcc 0.0.8 3.35 25.38 28.73 OK
r-devel-linux-x86_64-fedora-clang 0.0.8 43.47 NOTE
r-devel-linux-x86_64-fedora-gcc 0.0.8 42.94 NOTE
r-devel-windows-ix86+x86_64 0.0.8 21.00 50.00 71.00 OK
r-patched-linux-x86_64 0.0.8 3.66 32.10 35.76 OK
r-patched-solaris-x86 0.0.8 66.20 ERROR
r-release-linux-x86_64 0.0.8 3.39 31.93 35.32 OK
r-release-windows-ix86+x86_64 0.0.8 9.00 48.00 57.00 OK
r-release-osx-x86_64 0.0.8 ERROR
r-oldrel-windows-ix86+x86_64 0.0.8 15.00 50.00 65.00 OK
r-oldrel-osx-x86_64 0.0.8 ERROR

Check Details

Version: 0.0.8
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘bookdown’ ‘rstudioapi’ ‘tinytex’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 0.0.8
Check: examples
Result: ERROR
    Running examples in ‘rosr-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: create_eq
    > ### Title: Create a demo equation sheet
    > ### Aliases: create_eq
    >
    > ### ** Examples
    >
    > create_eq(tempdir())
    Error: pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
    Execution halted
Flavors: r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64